# Get company details

Retrieves all available data for a given company.

### URL

<mark style="color:blue;">**GET**</mark> `https://api.complycube.com/v1/lookup/companies/:id`

### Headers

<table><thead><tr><th width="271">Name</th><th width="90">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>Authorization</code><mark style="color:red;">*</mark></td><td>string</td><td>The API <code>live</code> or <code>test</code> key.</td></tr></tbody></table>

### Path parameters

<table><thead><tr><th width="276">Name</th><th width="87">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>id</code><mark style="color:red;">*</mark></td><td>string</td><td>The ID of the company.</td></tr></tbody></table>

### Example request

{% tabs %}
{% tab title="cURL" %}

```bash
curl -X GET https://api.complycube.com/v1/lookup/companies/{:companyId} \
     -H 'Authorization: <YOUR_API_KEY>'
```

{% endtab %}

{% tab title="Node.js" %}

```javascript
const { ComplyCube } = require("@complycube/api");

const complycube = new ComplyCube({ apiKey: "<YOUR_API_KEY>" });

const client = await complycube.lookup.getCompany("COMPANY_ID");
```

{% endtab %}
{% endtabs %}

### The Company object

<table><thead><tr><th width="263.2428855022868">Attribute</th><th width="128">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>id</code></td><td>string</td><td>The unique identifier for a company.</td></tr><tr><td><code>name</code></td><td>string</td><td>The registered name of the company.</td></tr><tr><td><code>registrationNumber</code></td><td>string</td><td>The registration number of the company.</td></tr><tr><td><code>incorporationCountry</code></td><td>string</td><td>The incorporation country of the company.</td></tr><tr><td><code>incorporationDate</code></td><td>string</td><td>The date the company was incorporated. The format is <code>YYYY-MM-DD</code>.</td></tr><tr><td><code>incorporationType</code></td><td>string</td><td>The incorporation type of the company.</td></tr><tr><td><code>address</code></td><td>object</td><td>The structured address of the company.</td></tr><tr><td><code>active</code></td><td>boolean</td><td>Indicates if a company is active.</td></tr><tr><td><code>sourceUrl</code></td><td>string</td><td>The source URL from which the data was obtained.</td></tr><tr><td><code>owners</code></td><td>array[object]</td><td>The list of owners as structured objects.</td></tr><tr><td><code>officers</code></td><td>array[object]</td><td>The list of officers as structured objects.</td></tr><tr><td><code>filings</code></td><td>array[object]</td><td>The list of company filing as structured objects.</td></tr><tr><td><code>industryCodes</code></td><td>array[object]</td><td>The list of industry codes as structured objects.</td></tr><tr><td><code>createdAt</code></td><td>string</td><td>The date and time when the company record was created at source.</td></tr><tr><td><code>updatedAt</code></td><td>string</td><td>The date and time when the company record was updated at source.</td></tr></tbody></table>

### Example response

{% tabs %}
{% tab title="Success (200)" %}

```json
{
    "id": "69655f5f353133313734",
    "name": "STRIPE PAYMENTS EUROPE, LIMITED",
    "registrationNumber": "513174",
    "incorporationCountry": "IE",
    "incorporationDate": "2012-05-15",
    "incorporationType": "LTD - Private Company Limited by Shares",
    "sourceUrl": "http://www.cro.ie/search/CompanyDetails.aspx?id=513174",
    "active": true,
    "createdAt": "2012-06-03T05:18:48+00:00",
    "updatedAt": "2021-10-22T17:38:46+00:00",
    "address": {
        "line": "C/O A&L GOODBODY, IFSC, NORTH WALL QUAY, DUBLIN 1.",
        "country": "IE",
        "fullAddress": "C/O A&L GOODBODY, IFSC, NORTH WALL QUAY, DUBLIN 1."
    },
    "filings": [
        {
            "name": "Filing dated 2020-07-24",
            "description": "B10 CHANGE IN DIRECTOR OR SECRETARY",
            "date": "2020-07-24"
        },
        {
            "name": "Filing dated 2020-02-06",
            "description": "B10 CHANGE IN DIRECTOR OR SECRETARY",
            "date": "2020-02-06"
        },
        {
            "name": "Filing dated 2016-07-08",
            "description": "B1C ANNUAL RETURN - GENERAL - ACCOUNT DETAILS",
            "date": "2016-07-08"
        },
        {
            "name": "Filing dated 2015-10-05",
            "description": "B10 CHANGE IN DIRECTOR OR SECRETARY",
            "date": "2015-10-05"
        },
        {
            "name": "Filing dated 2014-09-30",
            "description": "B1C ANNUAL RETURN - GENERAL - B1 ANNUAL RETURN",
            "date": "2014-09-30"
        },
        {
            "name": "Filing dated 2014-09-30",
            "description": "B1C ANNUAL RETURN - GENERAL - ACCOUNT DETAILS",
            "date": "2014-09-30"
        },
        {
            "name": "Filing dated 2014-09-09",
            "description": "B10 CHANGE IN DIRECTOR OR SECRETARY",
            "date": "2014-09-09"
        },
        {
            "name": "Filing dated 2014-06-12",
            "description": "B1C ANNUAL RETURN - GENERAL - B1 ANNUAL RETURN",
            "date": "2014-06-12"
        },
        {
            "name": "Filing dated 2014-06-12",
            "description": "B1C ANNUAL RETURN - GENERAL - ACCOUNT DETAILS",
            "date": "2014-06-12"
        },
        {
            "name": "Filing dated 2013-12-13",
            "description": "B1 ANNUAL RETURN - NO ACCOUNTS - ANNUAL RETURN",
            "date": "2013-12-13"
        },
        {
            "name": "Filing dated 2013-12-13",
            "description": "B73 - REQUEST TO CHANGE A COMPANYS NARD",
            "date": "2013-12-13"
        },
        {
            "name": "Filing dated 2012-12-06",
            "description": "B1 ANNUAL RETURN - NO ACCOUNTS -ANNUAL RETURN",
            "date": "2012-12-06"
        },
        {
            "name": "Filing dated 2012-03-06",
            "description": "APPLICATION TO REGISTER AS A NEW COMPANY,",
            "date": "2012-03-06"
        }
    ]
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.complycube.com/documentation/api-reference/tools/company-search/get-company-details.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
